<template>
  <div v-if="routesLoaded">

    <RouterView />
  </div>
  <div v-else>
    <!-- Loading indicator -->
    <p>Loading...</p>
  </div>
</template>

<script>
import { onMounted, ref } from 'vue';
import Header from './components/Header.vue';
import Main from './components/Main.vue';
import { RouterView } from 'vue-router';
import router from './router';

export default {
  components: {
    Header,
    Main,
    RouterView,
  },
  setup() {
    const routesLoaded = ref(false);

    onMounted(async () => {
      try {
        await router.resolve({
          pathname: '/', // Resolve the initial route
        });
        routesLoaded.value = true;
      } catch (error) {
        console.error('Error resolving initial route:', error);
      }
    });

    return { routesLoaded };
  },
};
</script>

<style scoped></style>
